Subject: Re: How to use MMC-over-SPI on MPC8313E

From: Sven Luther <[email-masked]>
Date: Fri, 7 Sep 2007 11:59:50 +0200

On Thu, Sep 06, 2007 at 11:48:08AM -0500, Vinu wrote:
> Hi all,
> 
> I am working on MPC8313ERDB  Eval board, and want to  use SD Memory card 
> to store Linux OS and file system.
> The SD card controller is connected directly with the SPI bus.
> 
> I simply don't know how to use MMC-over-SPI  technology to make SD card 
> usable.
> 
> It would be a great help if anybody have any documentation or driver etc.

I have recently written a MMC-over-SPI driver for a MPC875 card. It used
the block device directly, and is rather straightforward, but maybe not
so nice as it could be. I need to unbrand it, and can send it to you
later on. Please ping me this WE if you are interested.

Friendly,

Sven Luther